- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/alterTableProperties#try-it)

Alter metadata table properties.

### HTTP request

`POST https://metastore.googleapis.com/v1beta/{service}:alterTableProperties`

### Path parameters

| Parameters ||
|---|---|
| `service` | `string` Required. The relative resource name of the Dataproc Metastore service that's being used to mutate metadata table properties, in the following format: `projects/{projectId}/locations/{locationId}/services/{serviceId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `service`: - `metastore.services.mutateMetadata` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tableName": string, "updateMask": string, "properties": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `tableName` | `string` Required. The name of the table containing the properties you're altering in the following format. `databases/{database_id}/tables/{table_id}` |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` A field mask that specifies the metadata table properties that are overwritten by the update. Fields specified in the `updateMask` are relative to the resource (not to the full request). A field is overwritten if it is in the mask. For example, given the target properties: properties { a: 1 b: 2 } And an update properties: properties { a: 2 b: 3 c: 4 } then if the field mask is: paths: \["properties.b", "properties.c"\] then the result will be: properties { a: 1 b: 3 c: 4 } This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `properties` | `map (key: string, value: string)` A map that describes the desired values to mutate. If updateMask is empty, the properties will not update. Otherwise, the properties only alters the value whose associated paths exist in the update mask An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).